<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
  <parent>
    <groupId>de.ugoe.cs.autoquest</groupId>
    <artifactId>autoquest</artifactId>
    <version>0.2.2</version>
    <relativePath>../autoquest/pom.xml</relativePath>
  </parent>
  <modelVersion>4.0.0</modelVersion>
  <artifactId>autoquest-release</artifactId>
  <packaging>pom</packaging>
  <name>autoquest-release</name>
  <properties>
    <autoquest-scm-trunk-dir>https://autoquest.informatik.uni-goettingen.de/svn/autoquest/trunk</autoquest-scm-trunk-dir>
  </properties>
  <scm>
    <url>${autoquest-scm-trunk-dir}/${project.artifactId}/tags/autoquest-release-0.2.2/${project.artifactId}</url>
    <connection>scm:svn:${autoquest-scm-trunk-dir}/${project.artifactId}/tags/autoquest-release-0.2.2/${project.artifactId}</connection>
  </scm>

  <modules>
    <module>../java-utils</module>
    <module>../autoquest</module>
    <module>../autoquest-misc</module>
    <module>../autoquest-core-events</module>
    <module>../autoquest-core-assertions</module>
    <module>../autoquest-core-coverage</module>
    <module>../autoquest-core-usageprofiles</module>
    <module>../autoquest-core-testgeneration</module>
    <module>../autoquest-core-tasktrees</module>
    <module>../autoquest-core-usability</module>
    <module>../autoquest-ui-core</module>
    <module>../autoquest-ui-swt</module>
    <module>../autoquest-plugin-core</module>
    <module>../autoquest-plugin-android</module>
    <module>../autoquest-plugin-exports</module>
    <module>../autoquest-plugin-guitar</module>
    <module>../autoquest-plugin-genericevents</module>
    <module>../autoquest-plugin-html</module>
    <module>../autoquest-plugin-http</module>
    <module>../autoquest-plugin-jfc</module>
    <module>../autoquest-plugin-mfc</module>
    <module>../autoquest-plugin-php</module>
    <module>../autoquest-plugin-uml</module>
    <module>../autoquest-runner</module>
    <!-- requires maven 3       module>../autoquest-androidmonitor</module-->
    <module>../autoquest-distribution</module>
    <module>../autoquest-htmlmonitor</module>
    <module>../autoquest-httpmonitor</module>
    <module>../autoquest-jfcmonitor</module>
    <module>../java-utils-test</module>
    <module>../autoquest-test</module>
    <module>../autoquest-test-utils</module>
    <module>../autoquest-misc-test</module>
    <module>../autoquest-core-events-test</module>
    <module>../autoquest-core-assertions-test</module>
    <module>../autoquest-core-coverage-test</module>
    <module>../autoquest-core-usageprofiles-test</module>
    <module>../autoquest-core-tasktrees-test</module>
    <module>../autoquest-core-usability-test</module>
    <module>../autoquest-ui-core-test</module>
    <module>../autoquest-plugin-core-test</module>
    <module>../autoquest-plugin-android-test</module>
    <module>../autoquest-plugin-html-test</module>
    <module>../autoquest-plugin-http-test</module>
    <module>../autoquest-plugin-jfc-test</module>
    <module>../autoquest-plugin-mfc-test</module>
    <module>../autoquest-plugin-uml-test</module>
    <module>../autoquest-htmlmonitor-test</module>
    <module>../autoquest-httpmonitor-test</module>
    <!--module>../autoquest-distribution</module must be released on its own--> 
  </modules>

  <build>
    <plugins>
      <plugin>
        <groupId>org.apache.maven.plugins</groupId>
        <artifactId>maven-release-plugin</artifactId>
        <version>2.5</version>
        <configuration>
          <autoVersionSubmodules>true</autoVersionSubmodules>
        </configuration>
      </plugin>
    </plugins>
  </build>
</project>